/// <reference types="vite/client" />
interface ImportMetaEnv {
  //当前环境
  readonly VITE_APP_ENV: "development" | "production";
  //启动端口
  readonly VITE_APP_PORT: number;

  // axios
  readonly VITE_APP_BASE_API: string;
  readonly VITE_APP_PROXY_URL: string;

  // crypto-js
  readonly VITE_APP_CRYPTO_JS_SECRET_KEY: string;
  // readonly VITE_APP_CRYPTO_JS_SECRET_IV: string
}

declare module "*.vue" {
  import { DefineComponent } from "vue";
  const component: DefineComponent<{}, {}, any>;
  export default component;
}
